import React from 'react';
import './global-loading.scss';
export interface GlobalLoadingProps extends React.HTMLAttributes<HTMLDivElement> {
    /** If true, the component is shown (recommend use instead of React conditional - smooth open/close) (default: true) */
    open?: boolean;
    /** Icon width (default: 20px) */
    width?: number;
    /** Icon height (default: 60px) */
    height?: number;
    /** Icon color - array 3 items (default: ['#0b4da4', '#f46f20', '#4cb849']) */
    colors?: string[];
    /** Animation duration by seconds (default: 0.5s) */
    duration?: number;
    /** Fade effect duration by seconds (default: 0.35s) */
    fadeDuration?: number;
    /** Show overlay backdrop (default: true) */
    withBackdrop?: boolean;
}
export declare const GlobalLoading: React.FC<GlobalLoadingProps>;
export default GlobalLoading;
